<?php

namespace Seventhqueen\Typer;

if ( ! isset( $featured_posts ) ) {
	return;
}

\Typer_Assets::instance()->enqueue_swiper();

?>

<div class="svq-panel-slider swiper-container-horizontal">
	<div class="swiper-wrapper">
		<?php

		while ( $featured_posts->have_posts() ) {
			$featured_posts->the_post();
			?>
			<div class="swiper-slide swiper-no-swiping">
				<?php typer()->get_template_part( 'template-parts/archive/article-wide' ); ?>
			</div>
			<?php
		}

		wp_reset_postdata();

		?>
	</div>
	<div class="swiper-pagination will-animate" data-cssanimate="fadeInUp"></div>
	<div class="svq-panel-slider-nav svq-panel-slider-style2 svq-panel-control-prev will-animate"
	     data-cssanimate="fadeInUp"></div>
	<div class="svq-panel-slider-nav svq-panel-slider-style2 svq-panel-control-next will-animate"
	     data-cssanimate="fadeInUp"></div>
</div>
